package com.ejie.m62fb.model.base;

import java.io.Serializable;
import java.util.Date;

import com.ejie.m62fb.util.UtilSeguridad;

/**
 * <p>
 * Clase abstracta con atributos comunes a todos los modelos
 * </p>
 * 
XXXX
 */
public abstract class AbstractM62FBModel implements Serializable {

	private static final long serialVersionUID = -8515941485648518488L;

	private Date fecAlta;
	private Date fecHorUltimaModif;
	private String codUsuarioUltimaModif;

	/**
	 * Constructor por defecto
	 */
	protected AbstractM62FBModel() {
		super();
		this.codUsuarioUltimaModif=UtilSeguridad.getNombreUsuarioConectado();
	}

	/**
	 * Constructor con los atributos de la clase
	 * 
	 * @param fecAlta
	 *            fecha de alta
	 * @param fecHorUltimaModif
	 *            Fecha de ultima modificacion
	 * @param codUsuarioUltimaModif
	 *            Codigo de usuario de ultima modificacion
	 */
	protected AbstractM62FBModel(Date fecAlta, Date fecHorUltimaModif,
			String codUsuarioUltimaModif) {
		super();
		this.fecAlta = fecAlta;
		this.fecHorUltimaModif = fecHorUltimaModif;
		this.codUsuarioUltimaModif = UtilSeguridad.getNombreUsuarioConectado();
	}

	/**
	 * Method 'getFecAlta'
	 * 
	 * @return fecAlta
	 */
	public Date getFecAlta() {
		return this.fecAlta;
	}

	/**
	 * Method 'setFecAlta'
	 * 
	 * @param fecAlta
	 *            Date
	 */
	public void setFecAlta(Date fecAlta) {
		this.fecAlta = fecAlta;
	}

	/**
	 * Method 'getFecHorUltimaModif'
	 * 
	 * @return fecHorUltimaModif
	 */
	public Date getFecHorUltimaModif() {
		return this.fecHorUltimaModif;
	}

	/**
	 * Method 'setFecHorUltimaModif'
	 * 
	 * @param fecHorUltimaModif
	 *            Date
	 */
	public void setFecHorUltimaModif(Date fecHorUltimaModif) {
		this.fecHorUltimaModif = fecHorUltimaModif;
	}

	/**
	 * Method 'getCodUsuarioUltimaModif'
	 * 
	 * @return codUsuarioUltimaModif
	 */
	public String getCodUsuarioUltimaModif() {
		return this.codUsuarioUltimaModif;
	}

	/**
	 * Method 'setCodUsuarioUltimaModif'
	 * 
	 * @param codUsuarioUltimaModif
	 *            String
	 */
	public void setCodUsuarioUltimaModif(String codUsuarioUltimaModif) {
		this.codUsuarioUltimaModif = codUsuarioUltimaModif;
	}

}